Bug 61500 - [patch] fix "make fetch" for audio/mbrolavox
Summary: [patch] fix "make fetch" for audio/mbrolavox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Trevor Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-17 22:00 UTC by edwin
Modified: 2004-05-30 09:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.03 KB, patch)
2004-01-17 22:00 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2004-01-17 22:00:24 UTC
	When building audio/mbrolavox on bento, it doesn't do
	anything usefull because it there are no voices selected.

	Furthermore, the fetch stage tries to download each file
	from each subdirectory, which is inefficient.

	See also
	http://bento.freebsd.org/errorlogs/i386-4-exp-latest/mbrolavox-3.0.1.log

Fix: Please note the two new files in the files directory.
Comment 1 Edwin Groothuis freebsd_committer 2004-01-17 23:58:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer.
Comment 2 Edwin Groothuis freebsd_committer 2004-03-08 04:08:03 UTC
State Changed
From-To: open->closed

Commited, thanks!
Comment 3 Trevor Johnson freebsd_committer 2004-03-08 22:50:53 UTC
State Changed
From-To: closed->patched

I'm sorry I didn't respond to your PR earlier.  My response is that, 
while I like the idea of only visiting one directory when downloading 
each distfile, I don't like the idea of creating a package of all 
58 voices (around 400 MB) by default in a batch build.  This will 
be wasteful of users' bandwidth for downloading, their disk space 
for installation, and their time if they choose to read the licences, 
which are different for each voice.  The default that I had chosen 
when I made this port was to only install the us1 voice (a U.S. 
English voice).  I mainly intended the port to be used interactively, 
but it cannot be since this patch was committed (and batch builds 
are still broken, in a different way).  I'm reopening this to remind 
myself that it needs to be fixed.  Please do not make any further 
changes to the port. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=61500 



Please see the following Makefile / voices.conf.
Remove scripts/*, files/*.
Wait until ports/64029 is commited.

# New ports collection makefile for:		mbrolavox
# Date created:					2003-10-05
# Whom:						trevor
#
# $FreeBSD: ports/audio/mbrolavox/Makefile,v 1.8 2004/03/10 00:45:47 kris Exp $
#

PORTNAME=	mbrolavox
PORTVERSION=	3.0.1
CATEGORIES=	audio accessibility
DIST_SUBDIR=	mbrolavox

MAINTAINER=	trevor@FreeBSD.org
COMMENT=	Voices for MBROLA voice synthesizer

VOICESCONF=	${.CURDIR}/voices.conf

.if !defined(OPTIONS)
OPTIONS!=	/usr/bin/awk -F\| '{ print $$1 " \"" $$3 "\" " $$4 }' < ${VOICESCONF}
.endif
.if !defined(ALLOPTIONS)
ALLOPTIONS!=	/usr/bin/awk -F\| '{ print $$1 }' < ${VOICESCONF}
.for ii in ${ALLOPTIONS}
FILE_${ii}!=	/usr/bin/grep ^${ii} ${VOICESCONF} | /usr/bin/awk -F\| '{ print $$2 }'
.endfor
.endif

.include <bsd.port.pre.mk>

NO_BUILD=	yes
USE_ZIP=	yes
RESTRICTED=	"no commercial nor military use, no sale"
USE_ZIP=	yes
PLIST=		${WRKDIR}/plist
WRKSRC=		${WRKDIR}/voices

.if !defined(BATCH)
IS_INTERACTIVE=	yes
.endif
.if defined(PACKAGE_BUILDING)	# Ugly hack until OPTIONS and PACKAGE_BUILDING is fixed. Can be removed when ports/63682 has been commited.
WITH_us1?=	yes
.endif

.for ii in ${ALLOPTIONS}
. if defined(WITH_${ii})
FILEDIRS+=	${ii}
MYDISTFILES+=	${FILE_${ii}}:${ii}
MYFILES+=	${FILE_${ii}}
MYWITH+=	${ii}
. endif
.endfor
DISTFILES=	${MYDISTFILES}

.for ii in ${FILEDIRS}
MASTER_SITES+=	http://www.festvox.org/mbrola/dba/${ii}/:${ii} \
		http://mambo.ucsc.edu/psl/mbrola/dba/${ii}/:${ii} \
		ftp://ftp.loria.fr/pub/pc/mbrpsola/${ii}/:${ii} \
		ftp://tcts.fpms.ac.be/pub/mbrola/VOICES/${ii}/:${ii}
.endfor

do-build:
	@${DO_NADA}

do-extract:
	@${MKDIR} ${WRKSRC}
.for ii in ${MYFILES}
	@${UNZIP_CMD} -qo ${DISTDIR}/${DIST_SUBDIR}/${ii} -d ${WRKSRC}
.endfor

pre-install:
	@${RM} -f ${PLIST}
	@cd ${WRKSRC}; \
	for ii in `${FIND} * \! -type d | ${SORT}`; do \
		${ECHO_CMD} share/mbrolavox/$${ii} >> ${PLIST}; \
	done ; \
	for ii in `${FIND} -d * -type d`; do \
		${ECHO_CMD} @dirrm share/mbrolavox/$${ii} >> ${PLIST}; \
	done
	@${ECHO_CMD} @dirrm share/mbrolavox >> ${PLIST}

do-install:
	@${MKDIR} ${DATADIR}
	@cd ${WRKSRC} && ${FIND} * | ${CPIO} -dlmp ${DATADIR}
	@${FIND} ${DATADIR} -type d -print0 | ${XARGS} -0 ${CHMOD} 755

.include <bsd.port.post.mk>


us1|us1-980512.zip|American English female (6.8 MB) by Babel Technology|On
us2|us2-980812.zip|American English male (6.3 MB) by Babel Technology|Off
us3|us3-990208.zip|American English male (6.1 MB) by Mike Macon|Off
ar1|ar1-981103.zip|Arabic male (5.1 MB) by Faculte Polytech. de Mons|Off
ar2|ar2-001015.zip|Arabic male (5.6 MB) by Abdel Muez Abukhalaf|Off
br1|br1-971105.zip|Brazilian Portuguese male (5.0 MB) by Denis R. Costa|Off
br2|br2-000119.zip|Brazilian Portuguese male (8.3 MB) by Denis R. Costa|Off
br3|br3-000119.zip|Brazilian Portuguese male (8.6 MB) by Denis R. Costa|Off
bz1|bz1-980116.zip|Breton female (25.0 MB) by Jean Pierre Messager|Off
en1|en1-980910.zip|British English male (5.7 MB) by Alan V. Black|Off
ca1|ca1.zip|Canadian French male (12.8 MB) by Vincent Arnaud|Off
cr1|cr1-981028.zip|Croation male (2.9 MB) by Juraj Bakran|Off
cz1|cz1-991020.zip|Czech female (2.2 MB) by Mikulas Pinos|Off
cz2|cz2-001009.zip|Czech male (8 MB) by Mikulas Pinos|Off
nl1|nl1-980609.zip|Dutch male (0.4 MB) by Arthur Dirksen|On
nl2|nl2-990507.zip|Dutch male (13 MB) by Arthur Dirksen|Off
nl3|nl3-001013.zip|Dutch female (8.6 MB) by Raymond Veldhuis|Off
nz1|nz1-000911.zip|Maori male (2.3 MB) by Mark R. Laws|Off
ee1|ee1.zip|Estonian male (9.2 MB) by Meelis Mihkla|Off
pt1|pt1-000509.zip|Portuguese female (7.8 MB) by Babel Technology|Off
fr1|fr1-990204.zip|French male (4.4 MB) by Faculte Polytech. de Mons|Off
fr2|fr2-980806.zip|French female (4.8 MB) by Celine Egea|Off
fr3|fr3-990324.zip|French male (4.8 MB) by Babel Technology|Off
fr4|fr4-990521.zip|French female (5.4 MB) by Babel Technology|Off
fr5|fr5-991020.zip|French Belgian (4.8 MB) by Faculte Polytech. de Mons|Off
fr6|fr6-010330.zip|French male (4.4 MB) by Faculte Polytech. de Mons|Off
fr7|fr7-010330.zip|French Belgian (3.7 MB) by Faculte Polytech. de Mons|Off
de1|de1-980227.zip|German female (9.9 MB) by Fred Englert|Off
de2|de2-990106.zip|German male (9.3 MB) by ATIP|Off
de3|de3-000307.zip|German female (10.4 MB) by ATIP|Off
de4|de4.zip|German male (18.6 MB) by University of Stuttgart|Off
de5|de5.zip|German female (13.3 MB) by ATIP|Off
de6|de6.zip|German male (48.5 MB) by Saarland University|Off
gr1|gr1-990610.zip|Greek male (1.6 MB) by George Sergiadis|Off
gr2|gr2-010521.zip|Greek male (5.6 MB) by ]Gerasimos Xydas|Off
hb1|hb1-000308.zip|Hebrew male (3.4 MB) by Yoram Meron|Off
id1|id1-001010.zip|Indonesian male (4 MB) by Arry Arman|Off
in1|in1-010206.zip|Hindi male (3.6 MB) by Amin Charaniya|Off
in2|in2-010202.zip|Hindi female (3.7 MB) by Amin Charaniya|Off
it1|it1-010213.zip|Italian male (5.2 MB) by Claudia Citta|Off
it2|it2-010406.zip|Italian female (5.2 MB) by Claudia Citta|Off
it3|it3-010304.zip|Italian male (5.1 MB) by Piero Cosi|Off
it4|it4-010926.zip|Italian female (4.9 MB) by ITC-irst|Off
hn1|hn1-990923.zip|Korean male (9.9 MB) by Kyongsok Gim|Off
jp1|jp1-000314.zip|Japanese male (1.8 MB) by Yoram Meron|Off
jp2|jp2-270202.zip|Japanese female (5.6 MB) by Tomohisa Tachiki|Off
jp3|jp3.zip|Japanese female (1.7 MB) by Yoram Meron|Off
pl1|pl1.zip|Polish female (4.0 MB) by PJWSTK|Off
es1|es1-980610.zip|Spanish male (2.1 MB) by Alistair Conkie|Off
es2|es2-989825.zip|Spanish male (5.1 MB) by TCC Communications Corp.|Off
es4|es4.zip|Spanish male (2.8 MB) by Universidad de Valladolid|Off
mx1|mx1-990208.zip|Spanish Mexican male (1.8 MB) by OGI|Off
ro1|ro1-980317.zip|Romanian male (2.9 MB) by Marian Boldea|Off
sw1|sw1-980623.zip|Swedish male (9.3 MB) by Marcus Filipsson|Off
sw2|sw2-140102.zip|Swedish female (5.6 MB) by Adina Svensson|Off
tl1|tl1.zip|Telugu female (6.9 MB) by Kalpana Reddy KVK|Off
tr1|tr1-010209.zip|Turkish male (3.7 MB) by Faculte Polytech. de Mons|Off
tr2|tr2-010212.zip|Turkish female (4.3 MB) by Faculte Polytech. de Mons|Off
Comment 4 Trevor Johnson freebsd_committer 2004-03-11 11:52:45 UTC
State Changed
From-To: open->suspended

on hold awaiting proposed change to bsd.port.mk from PR 64029
Comment 5 Trevor Johnson freebsd_committer 2004-04-20 23:17:00 UTC
State Changed
From-To: suspended->open

PR 64029 was committed.
Comment 6 Pav Lucistnik freebsd_committer 2004-05-30 09:40:27 UTC
State Changed
From-To: open->closed

Last followup from maintainer was committed.